<?php
	require_once("../system.engine/system.core.php");
	
	$mPong = array();
	$a = &$mPong;
	$p = &$_POST;
	
	global $systemHandler;
	$systemExecution = $systemHandler->loadHandler("EXECUTION");
	$systemHash = $systemHandler->loadHandler("HASH");
	/* ### DO YOUR CODES ONLY FROM HERE ### */

	$mContainerId = $p["containerId"];
	$mContainerCount = $systemExecution->runQuery("SELECT COUNT(id) AS containerCount FROM web_timeline WHERE post_user_id = '%s' AND id = '%s'", array($systemHandler->loadHandler("USER")->mUserId, $mContainerId))->fetch_object()->containerCount;
	if($mContainerCount > 0)
		$systemExecution->runQuery("DELETE FROM web_timeline WHERE id = '%s'", $mContainerId);
	
	/* ### DO NOT CHANGE ANYTHING FROM HERE ### */
	header("Content-Type: application/json");
	echo json_encode($mPong);
?>